Update platform settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
logo_url: '<string>',
support_email: 'jsmith@example.com',
support_url: '<string>'
})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me"
payload = {
"name": "<string>",
"logo_url": "<string>",
"support_email": "jsmith@example.com",
"support_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api-staging.keystoneos.xyz/v1/platforms/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"logo_url": "<string>",
"support_email": "jsmith@example.com",
"support_url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auth0_org_id": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"logo_url": "<string>",
"support_email": "<string>",
"support_url": "<string>",
"onboarding_completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Platforms
Update platform settings
Update account-level settings for the current platform. Only provided fields are changed. Environment-specific config (webhooks, settlement defaults) is managed via /platforms/me/environments/.
PATCH
/
v1
/
platforms
/
me
Update platform settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
logo_url: '<string>',
support_email: 'jsmith@example.com',
support_url: '<string>'
})
};
fetch('https://api-staging.keystoneos.xyz/v1/platforms/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-staging.keystoneos.xyz/v1/platforms/me"
payload = {
"name": "<string>",
"logo_url": "<string>",
"support_email": "jsmith@example.com",
"support_url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)curl --request PATCH \
--url https://api-staging.keystoneos.xyz/v1/platforms/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"logo_url": "<string>",
"support_email": "jsmith@example.com",
"support_url": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auth0_org_id": "<string>",
"name": "<string>",
"slug": "<string>",
"status": "<string>",
"logo_url": "<string>",
"support_email": "<string>",
"support_url": "<string>",
"onboarding_completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
Auth0 JWT access token. See Authentication for details.
Body
application/json
Response
Successful Response